%{?nodejs_find_provides_and_requires}

%global packagename write-file-atomic
%global enable_tests 1

Name:		nodejs-write-file-atomic
Version:	1.3.1
Release:	1%{?dist}
Summary:	Write files in an atomic fashion w/configurable ownership

License:	ISC
URL:		https://github.com/iarna/write-file-atomic
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

Patch0:		nodejs-write-file-atomic_fix-tests.patch

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(imurmurhash)
BuildRequires:	npm(graceful-fs)
BuildRequires:	npm(slide)
%if 0%{?enable_tests}
BuildRequires:	npm(tap)
BuildRequires:	npm(require-inject)
BuildRequires:	npm(rimraf)
%endif

%description
Write files in an atomic fashion w/configurable ownership


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
# patch the tests
%patch0 -p1

%nodejs_fixdep graceful-fs

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Apr 20 2017 Jared Smith <jsmith@fedoraproject.org> - 1.3.1-1
- Initial packaging
